Installation

Zend Server for IBM i 7.0 supports both new installations and upgrades from Zend Server for IBM i 6.0.1, 6.1, 6.2 and 6.3. Zend Server for IBM i 7.0 can be installed as a new installation on a partition running Zend Server for IBM i 5.x, and both can be run at the same time, allowing for a migration from version 5 to version 6.

 

Zend Server for IBM i 7.0 installation files can be downloaded here.

For new installations, please choose one of the new installation files. For first time installations, the "7.0.0 upgrade from 6.x" installer should not be used (this installer is for upgrades from 6.0.1, 6.1.0, 6.2.0 or 6.3.0 only). Choose either PHP 5.4 or PHP 5.5. First time installers should usually choose the latest version of PHP, unless they are planning to use a third party PHP application that is not compatible with that version.

For detailed installation instructions, please refer to the Zend Server for IBM i Installation Guide.

For upgrades from Zend Server for IBM i 6.0.1, 6.1, 6.2 or 6.3, please choose one of the "7.0.0 upgrade from 6.x" install files. You could choose the upgrade installer that matches the currently installed version of PHP (5.3, 5.4 or 5.5). The Zend Server 7.0 upgrade installer supports PHP version upgrade. For example, you could upgrade currently installed version of PHP 5.3 with PHP 5.4 or PHP 5.5 or currently installed version of PHP 5.4 with PHP 5.5. Detailed installation instructions are included as a text file in the downloaded folder.

Please check back periodically for updates. You can also receive notifications of updates by signing up for the "Zend PHP Monthly Updates for IBM i" email newsletter, available at your My Account page.

 

 

Limitations and Known Issues

The following issues are known at the time of the 7.0 release:

General

  • If the UI fails to initialize a session, no error will be displayed (ZSRV-8912). Consult the ui’s php error log for resolving this problem

  • WebAPI requests made explicitly to http://ServerName/ZendServer/index.php will fail. Instead, use http://ServerName/ZendServer/ (ZSRV-5735)

  • CLI Tools have undergone substantial changes since version 5.6. zs_setup script has been removed, and there have been changes to the flow of commands. For further information, see the Zend Server User Guide

  • Misconfiguring LDAP authentication can result in the user being locked out of their Zend Server console. If this occurs, reset your Zend Server password. For more information, see the Zend Server User Guide

  • No HTTPS support for Job Queue feature

Upgrade & Installation Related

  • After upgrade to 7.0, cannot import Exported Configuration from 6.0.1 or earlier (ZSRV-10773).

  • ibm_db2 version 1.9.6-sg25 is a special version of the ibm_db2 extension that includes IBM i specific features not yet available in the ibm_db2 extension published at pecl.php.net.  It is included in the IBM i version of Zend Server because it provides some patches that fix an issue introduced in an earlier version that can adversely affect parameter handing on the IBM i.  This version also includes some new directives for IBM i users.  While it is expected that these changes will eventually be applied to the official PECL version of ibm_db2, this has not yet happened, and it cannot be guaranteed by Zend.  We recommend that the new directives should not be used in a production environment until the sg25 changes have been merged into the official version of ibm_db2, and that version has been distributed in an upcoming release.  For the adventurous, who may wish to explore some of these options in a developer environment, the new options can be found at this link:  http://174.79.32.155/wiki/index.php/XMLSERVICE/PHPDB2ChangeLog

Migration from Zend Server for IBM i 5

Please see the Zend Server for IBM i Installation Guide for detailed migration information.